import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '身份证',
    align:"center",
    dataIndex: 'card'
   },
   {
    title: '正面',
    align:"center",
    dataIndex: 'cardImgOne'
   },
   {
    title: '反面',
    align:"center",
    dataIndex: 'cardImgTwo'
   },
   {
    title: '审核状态',
    align:"center",
    dataIndex: 'isState'
   },
   {
    title: '用户昵称',
    align:"center",
    dataIndex: 'userId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '身份证',
    field: 'card',
    component: 'Input',
  },
  {
    label: '正面',
    field: 'cardImgOne',
    component: 'Input',
  },
  {
    label: '反面',
    field: 'cardImgTwo',
    component: 'Input',
  },
  {
    label: '审核状态',
    field: 'isState',
    component: 'InputNumber',
  },
  {
    label: '用户昵称',
    field: 'userId',
    component: 'Input',
  },
];
