import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '图片地址',
    align:"center",
    dataIndex: 'imageAddress'
   },
   {
    title: '图片坐标',
    align:"center",
    dataIndex: 'imagePosition'
   },
   {
    title: '图片标题',
    align:"center",
    dataIndex: 'imageTitle'
   },
   {
    title: '图片短标题',
    align:"center",
    dataIndex: 'imageShortTitle'
   },
   {
    title: '图片描述',
    align:"center",
    dataIndex: 'imageDescribe'
   },
   {
    title: '图片分类',
    align:"center",
    dataIndex: 'classificationId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '图片地址',
    field: 'imageAddress',
    component: 'Input',
  },
  {
    label: '图片坐标',
    field: 'imagePosition',
    component: 'Input',
  },
  {
    label: '图片标题',
    field: 'imageTitle',
    component: 'Input',
  },
  {
    label: '图片短标题',
    field: 'imageShortTitle',
    component: 'Input',
  },
  {
    label: '图片描述',
    field: 'imageDescribe',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '图片分类',
    field: 'classificationId',
    component: 'Input',
  },
];
