import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '产品图片地址',
    align:"center",
    dataIndex: 'productImageAddress'
   },
   {
    title: '产品图片坐标',
    align:"center",
    dataIndex: 'productImagePosition'
   },
   {
    title: '产品标题',
    align:"center",
    dataIndex: 'productTitle'
   },
   {
    title: '产品短标题',
    align:"center",
    dataIndex: 'productShortTitle'
   },
   {
    title: '产品描述',
    align:"center",
    dataIndex: 'productDescribe'
   },
   {
    title: '产品所属分类',
    align:"center",
    dataIndex: 'classificationId'
   },
   {
    title: '是否为热门产品',
    align:"center",
    dataIndex: 'isHot'
   },
   {
    title: '产品慕课地址',
    align:"center",
    dataIndex: 'productAddressMc'
   },
   {
    title: '产品网站地址',
    align:"center",
    dataIndex: 'productAddressNet'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '产品图片地址',
    field: 'productImageAddress',
    component: 'Input',
  },
  {
    label: '产品图片坐标',
    field: 'productImagePosition',
    component: 'Input',
  },
  {
    label: '产品标题',
    field: 'productTitle',
    component: 'Input',
  },
  {
    label: '产品短标题',
    field: 'productShortTitle',
    component: 'Input',
  },
  {
    label: '产品描述',
    field: 'productDescribe',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '产品所属分类',
    field: 'classificationId',
    component: 'Input',
  },
  {
    label: '是否为热门产品',
    field: 'isHot',
    component: 'Input',
  },
  {
    label: '产品慕课地址',
    field: 'productAddressMc',
    component: 'Input',
  },
  {
    label: '产品网站地址',
    field: 'productAddressNet',
    component: 'Input',
  },
];
