package org.jeecg.modules.postBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 登录表单
 *
 * @Author scott
 * @since  2019-01-18
 */
@Data
@ApiModel(value="登录对象", description="登录对象")
public class UserLoginModel {
	@ApiModelProperty(value = "账号")
    private String username;
	@ApiModelProperty(value = "密码")
    private String password;
	@ApiModelProperty(value = "验证码")
    private String captcha;

    @ApiModelProperty(value = "登陆模式 0账号密码登陆 1验证码登陆")
    private Integer loginModel;



    
}